ימים ספורים החוצה XAMPP 1.8.0 אתמול לאחר שדרוג מגירסה 1.7.7 היה לי די בעיה מעניינת. PhpMyAdmin-והוא לא נפתח ושאג 403

כניסה אסורה!


תפיסת הביטחון XAMPP חדש:

הגישה אל האובייקט המבוקש זמינה רק מהרשת המקומית.

הגדרה זו יכולה להיות מוגדרת בקובץ “httpd-xampp.conf”.

מיד פתחה httpd-xampp.conf אשר לי הוא ב / opt / lampp / etc / תוספת /, במבט ראשון הכל נראה בסדר. כללי רשת מקומית נמנו. מלבד localhost הפתיחה. WTF ??? הסתכלתי ביומן-ואראה כי הגישה שלי נחתכה על ידי konfiguatsiyata. הנה עכשיו מה התנשפתי ולמען האמת קצת פחות מזל מצא את הבעיה. След като преглеждах httpd.conf-а видях в Allow/Deny клаузите един последен ред דרוש כל שהוענק. אה יוריקה. זהו מנגנון בקרה חדש שנכנס 2.4.x Apache. זה נותן גישה או סירוב כל קנס כזה, בעצם מוחק מותר / אסור פונקציונלי :). За да поправим проблема добавяме Require all granted в директивите за папката /opt/lampp/phpmyadmin. לאחר השינויים בי נראה כמו

<מַדרִיך “/opt / lampp / phpmyadmin”>
AllowOverride AuthConfig הגבל
להזמין לאפשר,לְהַכּחִישׁ
אפשר מכל
דרוש כל שהוענק
</מַדרִיך>

 

Viangi יכול לנסות פרוע אחר, למשל, כדי לשנות את שם משהו התיקייה phpmyadmin אחר ולא כינוי. אבל זה מכוער ולא מאוד משמעותי 🙂

נ.ב הם שאלו אותי למה אני משתמש XAMPP לא התקנה נקיה של כל המרכיבים כמו אותם זה דביאן שנולדו – отговорът е много много простМЪРЗЕЛ. Мързи ме да напиша няколко команди после да си пипна конфовете и прочие. Доста по лесно е сваляш целия пакет разархивираш и палиш 😉

משופר על ידי Zemanta

לפני כמה ימים היתה לי בעיה איומה עם הסרה והתקנה מותקן phpMyAdmin. בדרך כלל שורש הבעיה נעוצה בעובדה, מודול אבטחה rekuestovete הנתפסת של phpMyAdmin-התקפות הזרקת SQL כמו. ההחלטה שוב היא רק על קבצים טריוויאלי phpmyadmin-a מאקבה לכלול כללים. חוקים כתבו אותם modsecurity.d / modsecurity_localrules.conf הנמצא בתיקייה של שרת Apache שלך. הנה הכללים עצמם.

<מתאם התאמה “/phpmyadmin / tbl_change.php”>
SecRuleEngine כבוי
</מתאם התאמה>

<מתאם התאמה “/phpmyadmin / sql.php”>
SecRuleEngine כבוי
</מתאם התאמה>

<מתאם התאמה “/חבילות/מניהול האוהל php”>
SecRuleEngine כבוי
</מתאם התאמה>

<מתאם התאמה “/חבילות/יבא. php”>
SecRuleEngine כבוי
</מתאם התאמה>

<מתאם התאמה “/חבילות/tbl_select php”>
SecRuleEngine כבוי
</מתאם התאמה>

<מתאם התאמה “/חבילות/tbl_replace php”>
SecRuleEngine כבוי
</מתאם התאמה>

היום phpmyadmin-a אותי התרסק ללא סיבה נראית לעין, לאחר טעות

אין אפשרות להפעיל את הפגישה ללא שגיאות, אנא בדוק שגיאות נתונות בקובץ יומן PHP ו / או אינטרנט שלך ולהגדיר התקנת PHP שלך כמו שצריך.

בדרך כלל הבעיה היא נתיב session.save משתנה יסודי php.ini Failla היה ללא אומדן ערך. Mystique ושחררה כמו שחשבתי עשיתי upgreid PHP גרסה חדשה ממני ואז אולי הקימו זמאן ישן inadvertently'm, ועכשיו אני מחדש את השרת, че беше почнал да пълни swap-a заради едно зомби 🙂